<template>
  <div class="flex-1">
    <div class="flex mt-8 gap-4">
      <div class="px-4 border-l border-black">
        <div class="flex gap-2 items-center mb-4">
          <el-icon :size="20"><Timer /></el-icon>
          <span class="font-bold text-lg">TIME</span>
        </div>

        <el-text type="primary" size="large">
          <span class="text-5xl font-medium">
            <Vue3autocounter
              :startAmount="0"
              :endAmount="1281"
              :duration="2"
              separator="."
              :decimals="0"
              :autoinit="true"
          /></span>
          Hours</el-text
        >
      </div>
      <div class="px-4 border-l border-black">
        <div class="flex gap-2 items-center mb-4">
          <el-icon :size="20"><Wallet /></el-icon>
          <span class="font-bold text-lg">COST</span>
        </div>

        <el-text type="primary" size="large">
          <span class="text-5xl font-medium">
            <Vue3autocounter
              :startAmount="0"
              :endAmount="totalCost"
              :duration="2"
              separator="."
              :decimals="0"
              :autoinit="true"
            />
          </span>
          €</el-text
        >
      </div>
    </div>
  </div>
</template>

<script setup>
import Vue3autocounter from 'vue3-autocounter'
defineProps({
  totalCost: {
    type: Number,
    default: 0
  }
})
</script>

<style lang="scss" scoped></style>
